
<!DOCTYPE html>
<html>
	<title>ModalAI VOXL Portal</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="./css/w3.css">
	<link rel="stylesheet" href="./css/xterm.min.css">
	<link rel="icon" href="./images/portal.png">
    
    <style> 
        body {
            margin: 0;
            height: 100vh;
            flex-direction: column;
            justify-content: space-between;
        }
        .left-section, .right-section {
            width: 50%;
            height: 100%;
            float: left;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }
        .right-section {
            float: right;
        }
        .left-section table {
            width: 100%; 
        }
        .right-section table {
            width: 100%; 
        }
        #inspect-services-table {
            font-size: 13px;
        }
   
        .loader {
            border: 16px solid #f3f3f3;
            border-top: 16px solid #3498db;
            border-radius: 50%;
            width: 120px;
            height: 120px;
            animation: spin 2s linear infinite;
            display: none;
            margin: 20px auto;
        }
        @keyframes spin {
            0% {transform: rotate(0deg);}
            100% {transform: rotate(360deg);}
        }

    
    </style>
	<header>
		<script src="./js/3rd_party/jquery-3.6.0.js"></script>
		<script src="./js/3rd_party/xterm.min.js"></script>
		<script>
		$(function(){
			$("#header").load("header.html");
		});
		</script>
		<div id="header" class="w3-container w3-green" style="height:50px; align-items: center; display:flex;">
			<h1>VOXL Web Portal</h1>
		</div>
	</header>

	<body>
        <div> 
            <div class="left-section">
                
                <h2>Inspect Services</h2>
                <div id="loading-spinner" class="loader" style = "text-align:center;"></div>
                <table id="inspect-services-table" border="1">
                    <thead></thead>
                    <tbody></tbody>
                </table>
            </div>

            <div class="right-section">
                
                <h2>Calibration Check</h2>
                <div id="loading-spinner2" class="loader" style = "text-align:center;"></div>
                <table id="check-calibration-table" border="1">
                    <thead></thead>
                    <tbody></tbody>
                </table>
                
                
                
                <h2>VOXL Inspect Vibration</h2>
                <h3 style="font-size: 30px;"> Accl (X) | Accl (Y) | Accl (Z) | Gyro (X) | Gyro (Y) | Gyro (Z)</h3>
                <div id = "loading-spinner3" class="loader" style = "text-align:center;"></div>
                <div id="vibration-data-placeholder"></div>
               
            </div>
        </div>
        <script src="./js/inspect_vibration.js"></script>
        <script src="./js/health-check.js"></script>
	</body>
</html>
